Bug 222963 - lang/yap, lang/yap-devel: crashes on i386 during build with lang/gcc7
Summary: lang/yap, lang/yap-devel: crashes on i386 during build with lang/gcc7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords: needs-patch
Depends on:
Blocks: 222542
  Show dependency treegraph
 
Reported: 2017-10-12 18:27 UTC by Jan Beich
Modified: 2018-07-29 21:59 UTC (History)
3 users (show)

See Also:


Attachments
yap.diff (2.02 KB, patch)
2018-07-28 23:56 UTC, Tobias Kortkamp
tobik: maintainer-approval? (danilo)
Details | Diff
yap-devel.diff (1.78 KB, patch)
2018-07-28 23:59 UTC, Tobias Kortkamp
no flags Details | Diff
yap-devel.diff (1.68 KB, patch)
2018-07-29 00:22 UTC, Tobias Kortkamp
tobik: maintainer-approval? (danilo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-10-12 18:27:29 UTC
$ echo "DEFAULT_VERSIONS += gcc=7" >>${__MAKE_CONF:-/etc/make.conf}
$ make
[...]
% Translating CHR file chr_translate_bootstrap2.chr
%
%
% YAP OOOPS: likely bug in YAP, segmentation violation.
%
%
%
% PC: chr_translate_bootstrap1:attached/2__0/3 at clause 1 
%   Continuation: chr_translate_bootstrap1:attached/2__0/3 at clause 1 
%    791KB of Global Stack (0x28c64004--0x28d29e64)
%    0KB of Local Stack (0x28d8fce0--0x28d90000)
%    0KB of Trail (0x28d90004--0x28d9008c)
%    Performed 0 garbage collections
% All Active Calls and
%         Goals With Alternatives Open  (Global In Use--Local In Use)
%
%         chr_runtime:sbag_member/3 (791KB--0KB)
%  chr_translate_bootstrap1:attached/2__0/3 at clause 1 
%  chr_translate_bootstrap1:check_attachment_heads2/3 at clause 2 
%  chr_translate_bootstrap1:check_attachments_/1 at clause 2 
%  chr_translate_bootstrap1:chr_translate/2 at clause 1 
%  chr:chr_compile/3 at clause 1 
%  prolog:$call/4 at clause 3 
%  prolog:once/1 at clause 1 
%  prolog:$do_yes_no/2 at clause 2 
%  prolog:$yes_no/2 at clause 1 
%         prolog:$catch/3 (513KB--0KB)
%  prolog:$system_catch/4 at clause 1 
%  prolog:$startup_goals/0 at clause 2 
%  prolog:$init_from_saved_state_and_args/0 at clause 7 
%  prolog:$do_init_state/0 at clause 6 
%  prolog:$init_system/0 at clause 2 

http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/yap-6.2.2_6.log
http://package18.nyi.freebsd.org/data/103i386-default-PR222542/2017-10-10_18h48m24s/logs/errors/yap-devel-6.3.3_8.log
Comment 1 Tobias Kortkamp freebsd_committer 2018-07-28 23:56:25 UTC
Created attachment 195564 [details]
yap.diff

Remove gcc run dependency on i386 from lang/yap by disabling use of the bp
register
Comment 2 Tobias Kortkamp freebsd_committer 2018-07-28 23:59:47 UTC
Created attachment 195565 [details]
yap-devel.diff

Same thing for yap-devel.
Comment 3 Tobias Kortkamp freebsd_committer 2018-07-29 00:22:07 UTC
Created attachment 195568 [details]
yap-devel.diff
Comment 4 commit-hook freebsd_committer 2018-07-29 16:43:16 UTC
A commit references this bug:

Author: danilo
Date: Sun Jul 29 16:42:40 UTC 2018
New revision: 475663
URL: https://svnweb.freebsd.org/changeset/ports/475663

Log:
  - Remove gcc dependency on i386
  - Use options helpers to install DOCS

  PR:		222963
  Submitted by:	tobik
  Reported by:	jbeich

Changes:
  head/lang/yap/Makefile
  head/lang/yap/files/patch-configure
  head/lang/yap-devel/Makefile
  head/lang/yap-devel/files/patch-configure
Comment 5 Danilo Egea Gondolfo freebsd_committer 2018-07-29 16:45:36 UTC
Committed, thanks!